Name:       symbiotic
Version:    6.1.0.20191216.155939.gafd8609
Release:    1%{?dist}
Summary:    Tool for analysis of sequential computer programs written in C
License:    Free
URL:        https://github.com/staticafi/%{name}
Source0:    %{name}-%{version}.tar.xz
Source1:    symbiotic2cs.py

%global _build_id_links none

BuildRequires: gcc
BuildRequires: cmake
BuildRequires: rsync
BuildRequires: llvm
BuildRequires: llvm-devel
BuildRequires: llvm-static
BuildRequires: clang
BuildRequires: glibc
BuildRequires: glibc-devel
BuildRequires: glibc-devel(x86-32)
BuildRequires: ncurses-devel
BuildRequires: sqlite-devel
BuildRequires: z3
BuildRequires: z3-libs
BuildRequires: z3-devel
BuildRequires: zlib
BuildRequires: zlib-static

BuildRequires: make
BuildRequires: unzip
BuildRequires: tar
BuildRequires: patch
BuildRequires: xz
BuildRequires: python3

%description
Symbiotic is a tool for analysis of sequential computer programs written in the programming language C. It can check all common safety properties like assertion violations, invalid pointer dereference, double free, memory leaks, etc.

%prep
%autosetup
sed -i system-build.sh                     -e 's|^export PREFIX=|#&|'
sed -i scripts/precompile_bitcode_files.sh -e 's|^PREFIX=|#&|'

%build
export PREFIX=%{_builddir}/opt/symbiotic
bash -x ./system-build.sh %{?_smp_mflags}

sed -i "1s/env python$/python3/" %{_builddir}/opt/symbiotic/bin/symbiotic
sed -i 's/__file__/os.readlink(__file__)/' %{_builddir}/opt/symbiotic/bin/symbiotic
sed -i "1s/env python$/python3/" %{_builddir}/opt/symbiotic/llvm-*/bin/klee-stats

%install
export QA_RPATHS=17
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/opt/%{name}
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/symbiotic2cs
cp -pr %{_builddir}/opt/symbiotic/* %{buildroot}/opt/%{name}
ln -sf /opt/symbiotic/bin/symbiotic %{buildroot}/%{_bindir}/symbiotic

%files
/opt/%{name}/
%{_bindir}/%{name}
%{_bindir}/symbiotic2cs

%check
true

